
Redmine - Defect #5909

Grouping Results by Tracker appears to only work for open issues.

2010-07-19 20:57 - Mark P

Status: Closed Start date: 2010-07-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Installed 1.0.0 from stable branch and all went well.  If I go to my Issues tab and click the Options arrow to group by Tracker, it only

seems to work if I filter on Open issues.  if I click All issues, the grouping only shows me bugs/defects.  Before, I submitted this issue,

I checked and the same thing happens in this instance of Redmine (by that, I mean the instance that the Redmine project uses to

manage Redmine).  Therefore, it appears to be present in installs that are not just me.

Thanks and great work on this project.

History

#1 - 2010-07-19 20:58 - Mark P

Forgot to mention, this was an upgrade from 0.8.3 where I followed all documented upgrade steps.

#2 - 2010-07-19 21:44 - Mark P

Update on how this appears to work.  The grouping appears to be related to the number of issues that you select to appear on each page.  For

example, if you have 250 total open defects, then grouping by Tracker will never show anything but defects because the first 100 issues are defects.

Now, if you scroll to a page beyond 250, then you will see your other Tracker types.  Assuming you are showing 100 issues on each page, you will

see a non-defect grouping on page 4.  By the way, this appears to work the same way with all groupings whether they are seeded values or custom

fields.

If my understanding of how grouping works is correct (i.e. that it is dependent upon the number of records selected to be displayed in the GUI), then

its usefulness seems diminished.  Maybe as a workaround, a "show all records" selection could be added.  For my users, I think the expectation will

be that grouping will group and display all records that have been filtered, not group the records as they are returned on screen (25, 50, or 100 per

screen).  I'd appreciate any thoughts or feedback on this as it is entirely possible that I am missing something.

#3 - 2010-07-19 22:40 - Felix Schäfer

You're not missing anything, but the pagination stuff is there to prevent DOS/too much load on the server, and a "show" all setting will not happen.

Regarding the grouping, it's purely a client-side as far as UI goes, so it follows the pagination rules too. I've found it most useful for stuff that breaks

the list down into small groups, not into bigger groups like per tracker. For stuff that only makes large groups, the custom queries are much more

useful (only show tracker1, tracker2, and so on).

#4 - 2010-07-25 12:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Felix is right.

You can increase the number of tickets displayed on a page in the application settings if needed.
